import * as react_jsx_runtime from 'react/jsx-runtime';
import * as class_variance_authority_dist_types from 'class-variance-authority/dist/types';
import { PropsWithChildren } from 'react';
import { VariantProps } from 'class-variance-authority';

declare const banner: (props?: ({
    theme?: "primary" | "default" | "danger" | "success" | "warning" | null | undefined;
    shape?: "flat" | "square" | null | undefined;
    block?: boolean | null | undefined;
    border?: "full" | "top" | "right" | "left" | "bottom" | "none" | null | undefined;
    withIcon?: boolean | null | undefined;
} & class_variance_authority_dist_types.ClassProp) | undefined) => string;
type BannerThemeProps = NonNullable<VariantProps<typeof banner>['theme']>;
type BannerBorderProps = NonNullable<VariantProps<typeof banner>['border']>;
interface BannerProps extends PropsWithChildren, VariantProps<typeof banner> {
    className?: string;
    testId?: string;
    id?: string;
}
declare const Banner: (props: BannerProps) => react_jsx_runtime.JSX.Element;

export { Banner, BannerBorderProps, BannerProps, BannerThemeProps };
